Summary: IBM Java Software Runtime Environment
Name: IBMJava2-JRE
Version: 1.3.1
Release: 8
Epoch: 1
License: Commercial
Group: Development/Languages
URL: http://www.software.ibm.com
Source0: IBMJava2-JRE-131.tgz
Source1: IBMJava2-JAAS-131.tgz
SOURCE2: IBMJava2-JAVACOMM-131.tgz
Source3: java_jre.sh.in
Source4: java_jre.csh.in
BuildRoot: %{_tmppath}/%{name}-root
Prereq: sed, fileutils
ExclusiveArch: i386
Provides: jre
Prefix: /opt

%description
IBM Java Runtime Environment for Linux, Java2(TM) Technology Edition
v1.3.1.  Includes Java Authentication and Authorization Service (JAAS)
and Java Commications API (JAVACOMM) add-on modules.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}
{
    pushd %{buildroot}%{prefix}
    tar xzf %{SOURCE0}
    tar xzf %{SOURCE1}
    tar xzf %{SOURCE2}	
    popd
}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d/java_jre.sh
install %{SOURCE4} %{buildroot}%{_sysconfdir}/profile.d/java_jre.csh

mkdir -p %{buildroot}/usr/lib/mozilla/plugins
ln -s %{prefix}/IBMJava2-131/jre/bin/libjavaplugin_oji.so %{buildroot}/usr/lib/mozilla/plugins



%post
sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
	%{_sysconfdir}/profile.d/java_jre.sh > \
	%{_sysconfdir}/profile.d/java_jre.sh.new
cp %{_sysconfdir}/profile.d/java_jre.sh.new \
	%{_sysconfdir}/profile.d/java_jre.sh && \
	rm -f %{_sysconfdir}/profile.d/java_jre.sh.new

sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
	%{_sysconfdir}/profile.d/java_jre.csh > \
	%{_sysconfdir}/profile.d/java_jre.csh.new
cp %{_sysconfdir}/profile.d/java_jre.csh.new \
	%{_sysconfdir}/profile.d/java_jre.csh && \
	rm -f %{_sysconfdir}/profile.d/java_jre.csh.new


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{prefix}/IBMJava2-131
/usr/lib/mozilla/plugins/*
%attr(0755,root,root) %config %verify(not size md5 mtime) %{_sysconfdir}/profile.d/*

%changelog
* Fri Oct 17 2003 Thomas Fitzsimmons <fitzsim@redhat.com> 1:1.3.1-8
- updated to IBM cxia32131-20030618 SR5 release

* Wed Sep 18 2002 Preston Brown <pbrown@redhat.com> 1.3.1-5
- updated to IBM cxia32131-20020621 internal fix release

* Wed Sep 11 2002 Preston Brown <pbrown@redhat.com> 1.3.1-4
- fix csh script (#62105)

* Wed Mar 27 2002 Bill Nottingham <notting@redhat.com> 1.3.1-3
- add mozilla plugin symlink

* Thu Mar 21 2002 Preston Brown <pbrown@redhat.com> 1.3.1-1
- version 1.3.1 from IBM
- include JAAS and JAVACOMM packages (tiny)

* Thu Feb 21 2002 Preston Brown <pbrown@redhat.com> 1.3-1
- Initial Red Hat RPM version creation
